Package org.eclipse.handly.ui.typehierarchy

# Enum Class TypeHierarchyKind

java.lang.Object
java.lang.Enum<TypeHierarchyKind>
org.eclipse.handly.ui.typehierarchy.TypeHierarchyKind

All Implemented Interfaces:
  `Serializable`, `Comparable<TypeHierarchyKind>`, `Constable`

public enum TypeHierarchyKind extends Enum<TypeHierarchyKind>
Enumeration of the type hierarchy kinds.

Since:
  1.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SUBTYPES`
  The subtype hierarchy.
  `SUPERTYPES`
  The supertype hierarchy.
  `TYPES`
  A type hierarchy that includes both supertypes and subtypes of a type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TypeHierarchyKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TypeHierarchyKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TYPES

    public static final TypeHierarchyKind TYPES
    A type hierarchy that includes both supertypes and subtypes of a type. Also known as the inheritance tree.

  - ### SUPERTYPES

    public static final TypeHierarchyKind SUPERTYPES
    The supertype hierarchy.

  - ### SUBTYPES

    public static final TypeHierarchyKind SUBTYPES
    The subtype hierarchy.

- ## Method Details

  - ### values

    public static TypeHierarchyKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TypeHierarchyKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null